Body Composition
curl --request GET \
--url https://api.stealthera.in/api/device/{deviceId}/bodycomposition \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.stealthera.in/api/device/{deviceId}/bodycomposition', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.stealthera.in/api/device/{deviceId}/bodycomposition', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.stealthera.in/api/device/{deviceId}/bodycomposition"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"deviceId": "<string>",
"date": "<string>",
"series": [
{}
],
"latestBmi": 123,
"latestBodyFat": 123
}{
"error": "<string>"
}More Metrics
Body Composition
Returns body composition readings for a device. These are estimated by the watch on demand (not continuous). Triggers one history read.
Response fields:
| Field | Type | Description |
|---|---|---|
deviceId | string | Device IMEI |
date | string | Date (YYYY-MM-DD) |
series | array | [{ time: string, bmi: number, bodyFat: number }] (bodyFat in %) |
latestBmi | number | Most recent BMI (kg/m²) |
latestBodyFat | number | Most recent body fat (%) |
GET
/
api
/
device
/
{deviceId}
/
bodycomposition
Body Composition
curl --request GET \
--url https://api.stealthera.in/api/device/{deviceId}/bodycomposition \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.stealthera.in/api/device/{deviceId}/bodycomposition', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.stealthera.in/api/device/{deviceId}/bodycomposition', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.stealthera.in/api/device/{deviceId}/bodycomposition"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"deviceId": "<string>",
"date": "<string>",
"series": [
{}
],
"latestBmi": 123,
"latestBodyFat": 123
}{
"error": "<string>"
}